GET
/api/public/conversations/Get all conversations
You can return a list of your conversations. As an option, you can set status parameter to the request URL to narrow the results (status equals to true). This will show only open conversations.
Request URL would look like this:
https://<your_app_subdomain>.user.com/api/public/conversations/?status=true
Request
- CURL
- JavaScript
- PHP
- Python
curl -X GET -H "Authorization: Token <your_64_char_api_key>"
-H "Accept: */*; version=2"
-H "Accept: */*; version=2" "https://<your_app_subdomain>.user.com/api/public/conversations/"
var data = null;
var xhr = new XMLHttpRequest();
xhr.withCredentials = true;
xhr.addEventListener("readystatechange", function () {
if (this.readyState === 4) {
console.log(this.responseText);
}
});
xhr.open("GET", "https://<your_app_subdomain>.user.com/api/public/conversations/");
xhr.setRequestHeader("authorization", "Token <your_64_char_api_key>");
xhr.setRequestHeader("accept", "*/*; version=2");
xhr.send(data);
<?php
$request = new HttpRequest();
$request->setUrl('https://<your_app_subdomain>.user.com/api/public/conversations/');
$request->setMethod(HTTP_METH_GET);
$request->setHeaders(array(
'authorization' => 'Token <your_64_char_api_key>'
));
try {
$response = $request->send();
echo $response->getBody();
} catch (HttpException $ex) {
echo $ex;
}
import http.client
conn = http.client.HTTPSConnection("/<your_app_subdomain>.user.com")
headers = { 'authorization': "Token <your_64_char_api_key>", "Accept": "*/*; version=2" }
conn.request("GET", "/api/public/conversations/", headers=headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))
Response
{
"count": 41,
"next": "https://<your_app_subdomain>.user.com/api/public/conversations/?page=2",
"previous": null,
"results": [
{
"id": 748553,
"user": {
"id": 23123848,
"email": null,
"name": "Ivory Caribou",
"key": "EVvyMuAMtxAw"
},
"active": false,
"agent": null,
"messages": 1
},
{
"id": 748550,
"user": {
"id": 23122805,
"email": null,
"name": "Red Pear",
"key": "VCJ0tmNg5wuw"
},
"active": false,
"agent": null,
"messages": 1
},
{
"id": 748548,
"user": {
"id": 23122759,
"email": null,
"name": "Yellow Finger",
"key": "4Mc9crknttH3"
},
"active": false,
"agent": null,
"messages": 1
},
{
"id": 748547,
"user": {
"id": 23122753,
"email": null,
"name": "Gray Leaf",
"key": "WKgmSuskQVwZ"
},
"active": false,
"agent": null,
"messages": 1
}
. . .
]
}